package com.pj.task;

import com.pj.api.dto.PaymentDto;
import com.pj.api.dto.PaymentTwoDto;
import com.pj.dto.DataDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/payment/")
public class PaymentController {

    @Autowired
    private PaymentService paymentService;

    @RequestMapping("rpc/testSend")
    public void testSend(@RequestBody DataDto dataDto) {
        paymentService.testSend(dataDto);
    }

    @GetMapping("rpc/sendSXB010")
    public void sendSXB010(PaymentDto paymentDto) {
        paymentService.sendSXB010(paymentDto);
    }

    @GetMapping("rpc/sendSXB013")
    public void sendSXB013(PaymentDto paymentDto) {
        paymentService.sendSXB013(paymentDto);
    }

    @GetMapping("rpc/sendSXB023")
    public void sendSXB023(PaymentDto paymentDto) {
        paymentService.sendSXB023(paymentDto);
    }

    @GetMapping("rpc/sendMKT006_NoCommission")
    public void sendMKT006_NoCommission(PaymentTwoDto paymentTwoDto) {
        paymentService.sendMKT006_NoCommission(paymentTwoDto);
    }

    @GetMapping("rpc/sendMKT006")
    public void sendMKT006(PaymentTwoDto paymentTwoDto) {
        paymentService.sendMKT006(paymentTwoDto);
    }
}
